Downloading previous update versions

Discussion in 'REAKTOR' started by tomtakestooth, Nov 27, 2013.

  1. tomtakestooth

    tomtakestooth NI Product Owner

    Messages:
    170
    Does anyone know if NI have options to download previous updates for Reaktor?

    I've recently installed Reaktor on my computer at work so that I can get some Reaktor stuff done during my lunchbreak. At work I am using a macbook, but unfortunately it's still on 10.5.8. This Means I'm stuck on the old version of reaktor 5 that was on my installation disk. The only available update I can find is 5.9, which will not install on this macbook.

    Am I stuck using 5.1.5? Anyone know what the last version to support 10.5.8 was?

    -T
     
  2. Loopy C

    Loopy C NI Product Owner

    Messages:
    1,265
    You must be going by the 'Service Center' updates...use your online 'My Account' (NI website 'Support' section) to log-in and view all of your purchased/registered product updaters.

    All of your updates for registered products should be in your online account ('My Account') after log-in. Every thing you need to get from purchased physical products (i.e. DVD's) to a particular version should be there. Original product installers that were only available via download might be a little trickier. Every time I have built a system over the years I pulled out the original disks and downloaded from 'My Account' to get up to speed (always keeping redundant back-ups of downloads burned to disk in case, especially for Kore Soundpacks which I do not believe were ever anything more than original download links for me).

    As far as Leopard/10.5.8...last version of Reaktor I had running on my 10.5.8 system was 5.6.0 and I am pretty sure I was at the limit for that OS version (with 5.8 being highest 'supported version on 10.6.8).
     
  3. rrichard63

    rrichard63 New Member

    Messages:
    15
    That's not true in every case. In my Personal Update Manager I see intermediate updates (those after the first release but before the most recent) for some products but not all of them.

    My situation is directly analogous to tomtakestooth's, even though it relates to a different product. When I upgraded from Komplete 6 to Komplete 9, I deleted Kontakt 4 from my computer. At the time I didn't think I would have a use for it. Now I do have a use for it, specifically for version 4.1.3, the last one before the introduction of the binary file format that software like Chicken Translator and Extreme Sample Converter can't read. It was easy enough to install Kontakt 4.0.0 from the Komplete 6 DVDs. But Personal Update Manager does not offer me any update choices except 4.2.4. Installing that would defeat the purpose of having Kontakt 4 on my computer.

    As far as I can tell, my choices are (1) use 4.0.0 and hope that any bugs that got fixed in 4.0.1 through 4.1.3 don't affect me, or (2) hunt for copies on download sites that are probably not there legally and might well be unhealthy for my PC.

    Any suggestions?
     
  4. Loopy C

    Loopy C NI Product Owner

    Messages:
    1,265
    tomtakestooth - I do see Reaktor 5.6.0 in my updates so you should vbe able to find it.

    rrichard63 - No suggestions then, same here as far as only Kontakt 4.2.4 available in account (Mac).

    Not sure what you are doing, if you need Chicken Translator can't you just use original K4.0.1 for initial conversion processing then open final instrument in updated version of K5 to insure bug fixes?
     
  5. rrichard63

    rrichard63 New Member

    Messages:
    15
    Yes. 4.1.3 would be better for this but -- as you suggest -- it's not essential. I'm used to open source software developers who keep every version ever released available in case any user needs to revert for any reason.
     
  6. Loopy C

    Loopy C NI Product Owner

    Messages:
    1,265
    I back up to hard disk and optical disk every update. For me, data does not exist until it is backed up several times on several media types and I take it as a personal responsibility, not leaving it to factors can't control.
     
  7. rrichard63

    rrichard63 New Member

    Messages:
    15
    Point taken. In this specific instance, I purchased and installed Komplete 6 after Kontakt 4.2.2 (and beyond) had been released. So I never downloaded 4.1.3. That (rather than any failure to make backups) is why I don't have a backup.

    My interest in importing to/exporting from Kontakt and other formats -- therefore my interest maintaining a working copy of K4 -- is very recent.
     
  8. tomtakestooth

    tomtakestooth NI Product Owner

    Messages:
    170
    Thanks for that Loopy C. Yeah, I just assumed that service center was the only way to go.

    -T
     
  9. Loopy C

    Loopy C NI Product Owner

    Messages:
    1,265
    rrichard63 : I understand, despite my best efforts I have found myself in the same position before ;-)

    tomtakestooth : Glad that helped :)